'use strict';

var _yeomanGenerator = require('yeoman-generator');

var _sortKeys = require('sort-keys');

var _sortKeys2 = _interopRequireDefault(_sortKeys);

var _underscore = require('underscore.string');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = _yeomanGenerator.Base.extend({
  prompting: function prompting() {
    var _this = this;

    return this.prompt([{
      type: 'input',
      name: 'pluginname',
      message: 'Plugin Name',
      default: (0, _underscore.titleize)(this.appname)
    }, {
      type: 'input',
      name: 'description',
      message: 'One-line plugin description'
    }, {
      type: 'input',
      name: 'license',
      message: 'License',
      default: 'MIT'
    }]).then(function (answers) {
      _this.data = answers;
      _this.data.classname = (0, _underscore.camelize)(_this.data.pluginname);
      _this.data.name = (0, _underscore.slugify)(_this.data.pluginname);
    });
  },
  writing: function writing() {
    this.fs.copyTpl(this.templatePath('README.md'), this.destinationPath('README.md'), this.data);
    this.fs.copyTpl(this.templatePath('src/main.js'), this.destinationPath('src/main.js'), this.data);
    this.fs.copyTpl(this.templatePath('_package.json'), this.destinationPath('package.json'), this.data);
  },
  install: function install() {
    this.npmInstall();
  }
});